개인정보 보호 강화를 위한 최신 API 사용에 대한 Apple 개발자의 정당성 증명 필요

Apple 개발자의 정당성 증명 필요 - 최신 API 사용으로 개인정보 보호 강화

사용자의 개인 정보 보호를 강화하기 위해, 애플 개발자 웹사이트에 9to5Mac에서 확인한 새로운 기사에 따르면 앱 스토어에 앱을 등록하기 전에 개발자는 특정 애플 API의 사용 이유를 정당화해야 합니다.

애플 개발자 웹사이트는 이제 일부 API를 “필수 이유 API”로 지정하고, 개발자는 개인 정보 보호 선언서에서 해당 API를 사용하는 이유를 명확히 해야 합니다. UserDefaults와 같이 사용되는 일부 일반적인 API는 이제 필수 이유 범주에 속합니다.

올해 나중에 watchOS 10, iOS 17, iPadOS 17, tvOS 17, macOS Sonoma가 출시되면, 개발자는 필수 이유 API를 사용하여 앱을 제출하면 사용 방법을 명시하지 않았다는 경고를 받게 됩니다. 2024년 봄부터는 합법적인 정당화 없이 이러한 API를 사용하는 모든 앱이 검토 과정에서 거부될 것입니다.

애플은 이 변경의 주요 이유는 사용자 추적을 억제하기 위한 것이라고 설명했습니다. 사용자 추적은 API 호출을 사용하여 화면 해상도, 모델, 운영 체제 등 사용자 기기에 대한 세부 정보를 수집합니다. 그런 다음 이 데이터를 사용하여 사용자를 여러 앱이나 웹사이트에서 식별할 수 있는 고유한 “지문”을 생성합니다.

애플에 따르면, 필수 이유 API는 앱이 지정된 용도로만 이러한 API를 사용하도록 보장합니다. 거부된 경우, 애플은 개발자에게 판단에 이의를 제기하고 기존 가이드라인에 맞지 않는 경우 승인 요청을 제출할 수 있는 권한을 부여할 것입니다. 자세한 정보는 애플 개발자 웹사이트를 참조하세요.